Append rows to upload session (CSV or JSON)
POST
/v1/ns/{nsid}/lcr/tables/{table}/uploads/{upload_id}/rows
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lcr/tables/example/uploads/example/rows';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/csv'}, body: 'example'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lcr/tables/example/uploads/example/rows \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: text/csv' \ --data exampleAuthorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
table
required
string
upload_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”string
Array<object>
object
prefix
required
string
selector
required
string
trunk
required
string
per_minute_cost
required
integer format: int64
setup_cost
integer format: int64
priority
integer
effective_on
string format: date-time
valid_until
string format: date-time
Examplegenerated
[ { "prefix": "example", "selector": "example", "trunk": "example", "per_minute_cost": 1, "setup_cost": 1, "priority": 1, "effective_on": "2026-04-15T12:00:00Z", "valid_until": "2026-04-15T12:00:00Z" }]Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
required
boolean
accepted
required
integer format: int64
rejected
Array<object>
object
line
required
integer
error
required
string
offset
required
integer format: int64
continuation_token
string
Examplegenerated
{ "success": true, "accepted": 1, "rejected": [ { "line": 1, "error": "example" } ], "offset": 1, "continuation_token": "example"}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}